CLI:
agentmail inboxes:messages get --inbox-id <inbox_id> --message-id <message_id>
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
inbox_id
stringRequired
The ID of the inbox.message_id
stringRequired
ID of message.
Response
This endpoint returns an object.
inbox_id
string
The ID of the inbox.thread_id
string
ID of thread.message_id
string
ID of message.labels
list of strings
Labels of message.timestamp
datetime
Time at which message was sent or drafted.from
string
Address of sender. In formatusername@domain.comorDisplay Name <username@domain.com>.to
list of strings
Addresses of recipients. In formatusername@domain.comorDisplay Name <username@domain.com>.size
integer
Size of message in bytes.updated_at
datetime
Time at which message was last updated.created_at
datetime
Time at which message was created.reply_to
list of strings
Reply-to addresses. In formatusername@domain.comorDisplay Name <username@domain.com>.cc
list of strings
Addresses of CC recipients. In formatusername@domain.comorDisplay Name <username@domain.com>.bcc
list of strings
Addresses of BCC recipients. In formatusername@domain.comorDisplay Name <username@domain.com>.subject
string
Subject of message.preview
string
Text preview of message.text
string
Plain text body of message.html
string
HTML body of message.extracted_text
string
Extracted new text content.extracted_html
string
Extracted new HTML content.attachments
list of objects
Attachments in message.in_reply_to
string
ID of message being replied to.references
list of strings
IDs of previous messages in thread.headers
map from strings to strings
Headers in message.
Errors
- 404
Not Found Error
Ask AI
Assistant
Responses are generated using AI and may contain mistakes.